/*
*  Name:      TNotFoundException.java
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   SQLERROR exception class
*  Date:      $Date: 2002/08/19 12:59:57 $
*  Revision:  $Revision: 1.1 $
*
*  Copyright (C) 2002  Rafael Jesus Alcantara Perez <rafa@dedalo-ing.com>
*/

///  Package name for MCM Model paradigm.
package org.uesqlc;

import java.lang.Exception;


///  SQLERROR exception class.
public class TNotFoundException extends Exception
{

  ///  SQLSTATE descriptor.
  private TSqlstateDescriptor   tSqlstateDescriptor = new TSqlstateDescriptor();


  //
  //  C O N S T R U C T O R S
  //

  public TNotFoundException()
  {
    Throwable      tThrowable;
    StringBuffer   yMessage = new StringBuffer ("uesql: NOT FOUND condition; ");

    yMessage.append (tSqlstateDescriptor.getDescription (TSqlstate.SQLSTATE));
    tThrowable = new Throwable (yMessage.toString());
    initCause (tThrowable);
  }

}  // class TNotFoundException
